package es.ejie.frmk.infraestructura.utilidades.mapeador.converters;

import es.ejie.frmk.infraestructura.utilidades.mapeador.Q70ConverterMapeador;

/**
 * Clase para la conversión de un string a substring
 * @author UFRM005
 * @version 1.0
 */
public class Q70substringConverter implements Q70ConverterMapeador {
	
	// variables miembro
	
	private Object objInformacion = null;
	
	// métodos miembro
		
	/**
	 * Constructor de la clase
	 */
	public Q70substringConverter() {
		super();
	}
	
	/**
	 * Método para poner información para la conversión
	 * @see es.ejie.frmk.infraestructura.utilidades.mapeador.Q70ConverterMapeador
	 * */
		
	public void setConvertInformation(Object newObjInformacion) {
		objInformacion = newObjInformacion;
	}
	
	/**
	 * Función que realiza la conversión
	 * @see org.apache.commons.beanutils.Converter
	 * */	
	public Object convert(Class type, Object value) {
		// hacer la conversión substring(int,int)
		
		int intBeginIndex;
		int intEndIndex;
		
		String strFuncion = (String) objInformacion;
		String strValor = (String) value;
		
		String strBeginIndex =  strFuncion.substring(strFuncion.indexOf("(")+1,strFuncion.indexOf(","));
		String strEndIndex =  strFuncion.substring(strFuncion.indexOf(",")+1,strFuncion.indexOf(")"));
		
		intBeginIndex = Integer.parseInt(strBeginIndex);
		intEndIndex = Integer.parseInt(strEndIndex);
		
		strValor = strValor.substring(intBeginIndex, intEndIndex);
			
	return strValor;

	}

}
